=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2008-08-04 10:40:07 +0000
+++ viz/branchwin.py	2008-11-28 16:42:25 +0000
@@ -125,6 +125,12 @@
         vbox.pack_start(self.paned, expand=True, fill=True)
         vbox.set_focus_child(self.paned)
 
+        self.treeview.connect('revision-selected',
+                self._treeselection_changed_cb)
+        self.treeview.connect('revision-activated',
+                self._tree_revision_activated)
+
+        self.treeview.connect('tag-added', lambda w, t, r: self._update_tags())
         vbox.show()
     
     def construct_menubar(self):
@@ -289,13 +295,6 @@
 
         self.treeview = TreeView(self.branch, self.start_revs, self.maxnum, self.compact_view)
 
-        self.treeview.connect('revision-selected',
-                self._treeselection_changed_cb)
-        self.treeview.connect('revision-activated',
-                self._tree_revision_activated)
-
-        self.treeview.connect('tag-added', lambda w, t, r: self._update_tags())
-
         for col in ["revno", "date"]:
             option = self.config.get_user_option(col + '-column-visible')
             if option is not None:

